Retrieve TCA metrics for a position
Returns persisted fill-level TCA metrics and benchmark snapshots for a position.
x-api-key<token>
In: header
Path Parameters
positionId*string
Query Parameters
limit?integer
Range
0 < value <= 2000Default
100cursor?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Format
date-timeHeader Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/tca/positions/string" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "2026-01-15T09:30:00.000Z", "fillMetrics": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "fillId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "benchmarkId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "executionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "tradeAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "symbol": "string", "cloid": "string", "exchangeFillId": "string", "slippageBps": "string", "slippageQuote": "string", "slippageUsd": "string", "implementationShortfallBps": "string", "spreadCostQuote": "string", "spreadCostUsd": "string", "tradeFee": "string", "pearFee": "string", "totalCostUsd": "string", "gatewayLatencyMs": 0, "timeToFillMs": 0, "quoteAsset": "string", "notionalQuote": "string", "notionalUsd": "string", "submittedAt": "2026-01-15T09:30:00.000Z", "acknowledgedAt": "2026-01-15T09:30:00.000Z", "exchangeExecutedAt": "2026-01-15T09:30:00.000Z", "timingGranularity": "BATCH", "status": "FINAL", "createdAt": "2026-01-15T09:30:00.000Z", "updatedAt": "2026-01-15T09:30:00.000Z", "benchmark": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "executionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "cloid": "string", "legIndex": 0, "connector": "hyperliquid", "symbol": "string", "side": "BUY", "decisionPrice": "string", "arrivalMid": "string", "arrivalBid": "string", "arrivalAsk": "string", "markPrice": "string", "indexPrice": "string", "source": "string", "timestamp": "2026-01-15T09:30:00.000Z", "quoteAsset": "string", "usdConversionPrice": "string", "createdAt": "2026-01-15T09:30:00.000Z" } } ]}Retrieve TCA metrics for an execution GET
Returns persisted execution-level TCA summary, fill metrics, and benchmark snapshots.
Retrieve TCA execution summaries GET
Returns persisted account-scoped TCA execution summaries and totals for the active trade account. Date filters apply to summary creation time.